<?php



class TblblogpollMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogpollMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogpollPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogpollPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogpoll');
		$tMap->setClassname('Tblblogpoll');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('POLL_ID', 'PollId', 'INTEGER', true, null);

		$tMap->addColumn('POLL_NAME', 'PollName', 'VARCHAR', true, null);

		$tMap->addColumn('POLL_QUESTIONS', 'PollQuestions', 'LONGVARCHAR', true, null);

		$tMap->addColumn('POLL_TYPE', 'PollType', 'TINYINT', true, null);

		$tMap->addForeignKey('POLL_BLOG', 'PollBlog', 'INTEGER', 'tblblog', 'BL_ID', true, null);

		$tMap->addColumn('POLL_CREATEDATE', 'PollCreatedate', 'TIMESTAMP', true, null);

		$tMap->addColumn('POLL_ACTIVE', 'PollActive', 'TINYINT', true, null);

	} 
} 